import 'package:flutter_test/flutter_test.dart';
import 'package:trip_overlay_plugin/trip_overlay_plugin.dart';
import 'package:trip_overlay_plugin/trip_overlay_plugin_platform_interface.dart';
import 'package:trip_overlay_plugin/trip_overlay_plugin_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockTripOverlayPluginPlatform
    with MockPlatformInterfaceMixin
    implements TripOverlayPluginPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final TripOverlayPluginPlatform initialPlatform = TripOverlayPluginPlatform.instance;

  test('$MethodChannelTripOverlayPlugin is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelTripOverlayPlugin>());
  });


}
